cancel
Showing results for 
Search instead for 
Did you mean: 

Big Problem With Firefox versions 4, 5, 6, 7, 8, 9, 10, 11

Highlighted
New User

Big Problem With Firefox versions 4, 5, 6, 7, 8, 9, 10, 11

Peace be upon you and the mercy of God and His blessings!

I was using Firefox as my default browser for a long time and I love it! But at or after version 4 almost, I stopped using it and switched entirely to Chrome! I don't like the way of loading pages in Firefox 5, 6, 7, 8, 9, and 10. Firefox is very slow loading web pages on my computer. I know that Mozilla still support version 3.6, and update it from time to time. But they don't add the new features/options in this version!

Take a look at this link: link text

In Firefox 3, there is no hardware acceleration, but after version 3, Firefox uses hardware acceleration by default since version 4. Firefox’s hardware acceleration interacts with a machine’s graphics hardware via DirectX or OpenGL (or webGL), depending on platform. These interactions tend to be very sensitive to the graphics environment on the system (e.g., the specific video card(s) on the system, how much VRAM is available, the version of the video driver, the OS version, etc). I tried to disable hardware acceleration, but it doesn't help. I also tried to enable Direct2D and DirectWrite, but Direct2D is still labled as false in about:support. When I use Firefox 7.0.1 on Ubuntu it is working great and fast, however on Windows it is amazingly slow. Firefox in Ubuntu is different, because they adjusted it and improved it enormously.

How can I fix this issue? Does anyone have any suggestions? Do I need to buy new graphics card? Thanks in advance!

2 REPLIES
SUMO Contributor

Re: Big Problem With Firefox versions 4, 5, 6, 7, 8, 9, 10, 11

New User

Re: Big Problem With Firefox versions 4, 5, 6, 7, 8, 9, 10, 11

Hello, thank you so much for your help and support! I think I found the solution to this problem! In Firefox on Ubuntu, there is an extension called "Ubuntu Firefox Modifications" created by Canonical. But I don't know where I can download it! Smiley Sad